Subject: Re: bug#50849: 28.0.50; Proposal for Emacs daemon to signal when being busy

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Sep 2022 12:59:46 +0200

Stefan Kangas <[email-masked]> writes:

> Hmm, is that so bad though?  I'm not sure I see what problem it could
> cause.  Do people actually want and rely on the indefinite waiting?

If you're controlling Emacs programmatically, you don't want commands to
semi-randomly fail just because the Emacs is busy with the previous
command.

> I often do things like
>
>    alias emacsclient="emacsclient --timeout 10"
>
> so I think such a flag would still be useful.

It could be useful, but I think the number of people that would do
something like this is minuscule, so it's marginal.